version: "3.8"

services:
  pureftpd:
    image: {{ ftpserver_pureftp_image }}
    container_name: pureftpd
    ports:
      - "16421:2100"
      - "30000-30049:30000-30049"
    volumes:
      - "{{ ftpserver_conf }}:/data"
      - "{{ ftpserver_data }}:/home"
    environment:
      - "TZ=Europe/Paris"
      - "AUTH_METHOD=puredb"
      - "SECURE_MODE=false" # additional flags are in separated file
      - "PASSIVE_PORT_RANGE=30000:30049"
      - "PASSIVE_IP={{ ftpserver_passiv_ip }}"
    restart: always
  nginx:
    container_name: nginx
    image: {{ ftpserver_nginx_image }}
    volumes:
      - {{ ftpserver_nginx_conf }}/nginx.conf:/etc/nginx/conf.d/default.conf
      - {{ global_cert_path }}/live/{{ cert_domain }}/fullchain.pem:/etc/nginx/ssl/ftpserver.pem:ro
      - {{ global_cert_path }}/live/{{ cert_domain }}/privkey.pem:/etc/nginx/ssl/ftpserver.key:ro
      - {{ ftpserver_data }}/public:/srv:ro
    ports:
      - "443:443"
      - "80:80"
    environment:
      - "TZ=Europe/Paris"
    restart: always
